(function() {
  "use strict";

  var GeneratorRegistry = require('structure/widget/generator/GeneratorRegistry');
  var SimpleGeneratorDescriptor = require('structure/widget/generator/SimpleGeneratorDescriptor');

  GeneratorRegistry.registerFactory(function(context) {
    SimpleGeneratorDescriptor.add(context, 'com.almworks.structure.pages:extender-child-pages', 's.w.ext.gen.extender.child-pages.short-label');
    SimpleGeneratorDescriptor.add(context, 'com.almworks.structure.pages:extender-linked-pages', 's.w.ext.gen.extender.linked-pages.short-label');
    SimpleGeneratorDescriptor.add(context, 'com.almworks.structure.pages:extender-issues-under-pages', 's.w.ext.gen.extender.issues-under-pages.short-label');
  });
})();
